petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDrawLineGetWidth

Gets the line width for future draws. The width is relative to the user coordinates of the window; 0.0 denotes the natural width; 1.0 denotes the interior viewport.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawLineGetWidth(PetscDraw draw,PetscReal *width)

Not collective

### Input Parameter

draw -the drawing context

### Output Parameter

width -the width in user coordinates

### Notes

Not currently implemented.

### See Also

PetscDrawLineSetWidth(), PetscDrawLine(), PetscDrawArrow()

### Level

advanced

### Location

src/sys/classes/draw/interface/dline.c

### Implementations

PetscDrawLineGetWidth_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawLineGetWidth_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawLineGetWidth_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages